Caja.ColumnProvider
Prev | Provider Interfaces | Next

## Caja.ColumnProvider

Caja.ColumnProvider — Caja.ColumnProvider Reference

## Synopsis

    class Caja.ColumnProvider:
        def get_columns()

## Description

If subclassed, Caja will request a list of `Caja.Column` objects, which are then displayed when the user is in `List` mode.

### Note

An extension sub-classing `Caja.ColumnProvider` will almost always want to sub-class `Caja.InfoProvider` as well, since that is how an extension provides information for each item in a directory listing.

Example 2. Caja.ColumnProvider Example

    import os
    import urllib

    from gi.repository import Caja, GObject

    class ColumnExtension(GObject.GObject, Caja.ColumnProvider, Caja.InfoProvider):
        def __init__(self):
            pass

        def get_columns(self):
            return Caja.Column(name="CajaPython::block_size_column",
                                   attribute="block_size",
                                   label="Block size",
                                   description="Get the block size"),

        def update_file_info(self, file):
            if file.get_uri_scheme() != 'file':
                return

            filename = urllib.unquote(file.get_uri()[7:])

            file.add_string_attribute('block_size', str(os.stat(filename).st_blksize))

## Passive Methods

### Caja.ColumnProvider.get_columns

        def get_columns()

Returns : | a list of `Caja.Column`

The `get_columns`() method returns a list of `Caja.Column`.

Prev | Up | Next
Provider Interfaces | Home | Caja.InfoProvider